This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 581166 - libvirt: 'virsh dominfo' crashes libvirtd if security driver disabled
libvirt: 'virsh dominfo' crashes libvirtd if security driver disabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
abrt_hash:be4965073fe79e6ea6804ec82c3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-10 14:26 EDT by Mikko Tiihonen
Modified: 2010-05-28 13:59 EDT (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.7.7-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 13:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (87.95 KB, text/plain)
2010-04-10 14:26 EDT, Mikko Tiihonen
no flags Details

  None (edit)
Description Mikko Tiihonen 2010-04-10 14:26:44 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: libvirtd --daemon
component: libvirt
executable: /usr/sbin/libvirtd
global_uuid: be4965073fe79e6ea6804ec82c3d92d9119b27d4
kernel: 2.6.33.1-24.fc13.x86_64
package: libvirt-0.7.7-1.fc13
rating: 4
reason: Process /usr/sbin/libvirtd was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Example run:

# /etc/init.d/libvirtd restart

# virsh
Welcome to virsh, the virtualization interactive terminal.

virsh # list
 Id Name                 State
----------------------------------
  1 PostgreSQL           running

virsh # dominfo 1
Id:             1
Name:           PostgreSQL
UUID:           f4cc0b7a-848b-af9f-a981-a6c09f3cd285
OS Type:        hvm
State:          running
CPU(s):         1
CPU time:       149.8s
Max memory:     2097152 kB
Used memory:    2097152 kB
Autostart:      disable
error: server closed connection: 

How to reproduce
-----
1. started a kvm virtual machine
2. start virsh
3. run virsh dominfo 1
Comment 1 Mikko Tiihonen 2010-04-10 14:26:46 EDT
Created attachment 405742 [details]
File: backtrace
Comment 2 Cole Robinson 2010-05-18 13:35:41 EDT
Caused by virsh dominfo when security driver is disabled in /etc/libvirt/qemu.conf. Fixed upstream here:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=b7a7b3365145f6e9e434a3265a58666cd2e6d8dd
Comment 3 Fedora Update System 2010-05-18 15:02:55 EDT
libvirt-0.7.7-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libvirt-0.7.7-4.fc13
Comment 4 Fedora Update System 2010-05-19 15:14:33 EDT
libvirt-0.7.7-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvirt-0.7.7-4.fc13
Comment 5 Fedora Update System 2010-05-28 13:58:40 EDT
libvirt-0.7.7-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.